summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBirte Friesel <dfriesel@uos.de>2023-07-26 11:24:31 +0200
committerBirte Friesel <dfriesel@uos.de>2023-07-26 11:24:31 +0200
commit16c8347eac0e9650570aadf958c8a04a594a9c35 (patch)
tree810e41fe5a7e135c91ee1e9e1c4b018afaefe7c7
parentf2c9c5bb17d1f46979c492adf0ffe68c606b443a (diff)
RED: update benchmark scripts
-rwxr-xr-xRED/baselines/cpu/run-opti.sh2
-rwxr-xr-xRED/baselines/cpu/run.sh3
-rwxr-xr-xRED/run-paper-strong-rank.sh4
3 files changed, 5 insertions, 4 deletions
diff --git a/RED/baselines/cpu/run-opti.sh b/RED/baselines/cpu/run-opti.sh
index bd380c7..cb6c30b 100755
--- a/RED/baselines/cpu/run-opti.sh
+++ b/RED/baselines/cpu/run-opti.sh
@@ -6,4 +6,4 @@ echo $HOST
make -B TYPE=UINT64 verbose=1
-./red -i 1048576000 -t 4 -w 0 -e 100 | sed 's/CPU/CPU Baseline/' | tee "${HOST}-baseline.txt"
+timeout --foreground -k 1m 60m ./red -i 1048576000 -t 4 -w 0 -e 100 | sed 's/CPU/CPU Baseline/' | tee "${HOST}-baseline.txt"
diff --git a/RED/baselines/cpu/run.sh b/RED/baselines/cpu/run.sh
index 3a0fb09..a9ec81d 100755
--- a/RED/baselines/cpu/run.sh
+++ b/RED/baselines/cpu/run.sh
@@ -19,7 +19,8 @@ for nr_threads in 88 64 44 1 2 4 6 8 12 16 20 24 32; do
#for dt in UINT32 UINT64 INT32 INT64 FLOAT DOUBLE; do
for dt in UINT64; do
if make -B TYPE=${dt} verbose=1; then
- timeout -k 1m 60m ./red -i ${i} -w 0 -e 100 -t ${nr_threads} || true
+ timeout --foreground -k 1m 60m ./red -i ${i} -w 0 -e 100 -t ${nr_threads} || true
+ sleep 10
fi
done
done
diff --git a/RED/run-paper-strong-rank.sh b/RED/run-paper-strong-rank.sh
index ed6e60e..33d6c8b 100755
--- a/RED/run-paper-strong-rank.sh
+++ b/RED/run-paper-strong-rank.sh
@@ -13,8 +13,8 @@ echo "prim-benchmarks RED strong-rank (dfatool edition)"
echo "Started at $(date)"
echo "Revision $(git describe --always)"
-# 256 and 512 are not part of upstream config space
-for nr_dpus in 512 256 1 4 16 64; do
+# >64 are not part of upstream config space
+for nr_dpus in 128 1 4 16 64; do
for nr_tasklets in 1 2 4 8 16; do
echo
if make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets} BL=10 VERSION=SINGLE verbose=1; then